Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » C / C++ IDE (CDT) » backward compatibility of CDT8 IBuilder?(backward compatibility of CDT8 IBuilder?)
backward compatibility of CDT8 IBuilder? [message #886112] Thu, 14 June 2012 09:15
J Chintu is currently offline J Chintu
Messages: 7
Registered: June 2012
Junior Member
Hi,

I have a class implements org.eclipse.cdt.managedbuilder.core.IBuilder in my plugin. My class is implemented as per the CDT7 API. When I want to improve my plugin to work with CDT8, I upgraded this IBuilder to CDT8 API. But my plugin is now not working with CDT7 because of no backward compatibility.
Could you please suggest me to solve this?

One solution is: I need to maintain two separate plugin versions to support CDT 7 & 8.

Thanks,
Parameshwar
Previous Topic:How to add -lrt to CodAn?
Next Topic:Compilation successful, but errors anyway
Goto Forum:
  


Current Time: Fri Oct 31 10:09:05 GMT 2014

Powered by FUDForum. Page generated in 0.01749 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software